- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Friends | List of all members
WPS4TextInternal::Object Struct Reference

Internal: class to store an object definition. More...

## Public Member Functions
| Object ()
| constructor More...

## Public Attributes
int | m_id
| the object identificator More...
Vec2f | m_size
| the object size in the document More...
WPSEntry | m_pos
| an entry which indicates where the object is defined in the file More...
long | m_unknown
| unknown data More...
std::string | m_extra
| a string used to store the parsing errors More...

## Friends
std::ostream & | operator<< (std::ostream &o, Object const &obj)
| operator << More...

## Detailed Description

Internal: class to store an object definition.

## Constructor & Destructor Documentation

WPS4TextInternal::Object::Object | ( |  | ) |
| inline

constructor

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Object const & | obj
| ) |  |
| friend

operator <<

## Member Data Documentation

std::string WPS4TextInternal::Object::m_extra

a string used to store the parsing errors

Referenced by WPS4Text::objectDataParser(), and WPS4TextInternal::operator<<().

int WPS4TextInternal::Object::m_id

the object identificator

Referenced by WPS4Text::objectDataParser(), WPS4TextInternal::operator<<(), and WPS4Text::readText().

WPSEntry WPS4TextInternal::Object::m_pos

an entry which indicates where the object is defined in the file

Referenced by WPS4Text::objectDataParser(), and WPS4TextInternal::operator<<().

Vec2f WPS4TextInternal::Object::m_size

the object size in the document

Referenced by WPS4Text::objectDataParser(), WPS4TextInternal::operator<<(), and WPS4Text::readText().

long WPS4TextInternal::Object::m_unknown

unknown data

Referenced by WPS4TextInternal::operator<<().

The documentation for this struct was generated from the following file:

- WPS4Text.cpp